# Spice.ai v0.2.1-alpha

Announcing the release of Spice.ai v0.2.1-alpha! 🚚

This point release focuses on fixes and improvements to v0.2-alpha. Highlights include the ability to specify how missing data should be treated and a new production mode for `spiced`.

This release supports the ability to specify how the runtime should treat missing data. Previous releases filled missing data with the last value (or initial value) in the series. While this makes sense for some data, i.e., market prices of a stock or cryptocurrency, it does not make sense for discrete data, i.e., ratings. In v0.2.1, developers can now add the `fill` parameter on a dataspace field to specify the behavior. This release supports fill types `previous` and `none`. The default is `previous`.

Example in a manifest:

```yaml
dataspaces:
  - from: twitter
    name: tweets
    fields:
      - name: likes
        fill: none # The new fill parameter
```

`spiced` now defaults to a new production mode when run standalone (not via the CLI), with development mode now explicitly set with the `--development` flag. Production mode does not activate development time features, such as the Spicepod file watcher. The CLI always runs `spiced` in development mode as it is not expected to be used in production deployments.

## New in this release

- **Adds** a `fill` parameter to dataspace fields to specify how missing values should be treated.
- **Adds** the ability to specify the fill behavior of empty values in a dataspace.
- **Simplifies** releases with a single `spiceai` release instead of separate `spice` and `spiced` releases.
- **Adds** an explicit **development** mode to `spiced`. Production mode does not activate the file watcher.
- **Fixes** a bug when the pod parameter `epoch_time` was not set which would cause data not to be sent to the AI engine.
- **Fixes** a bug where the User-Agent was not set correctly from CLI calls to api.spicerack.org
